<?php
/**
 * @package    System
 * @subpackage DzingaCallback
 *
 * @author     Dzinga <support@dzinga.com>
 * @copyright  All rights reserved by Dzinga 2017
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       www.dzinga.com
 */

jimport('joomla.form.formrule');

defined('_JEXEC') or die('Restricted access');

use Joomla\Registry\Registry;

class JFormRuleValidatecode extends JFormRule
{
	/**
	 * Method to test the widget code - submitted in extension parameters
	 *
	 * @param   SimpleXMLElement  $element  The SimpleXMLElement object representing the `<field>` tag for the form field object.
	 * @param   mixed             $value    The form field value to validate.
	 * @param   string            $group    The field name group control value. This acts as an array container for the field.
	 *                                      For example if the field has name="foo" and the group value is set to "bar" then the
	 *                                      full field name would end up being "bar[foo]".
	 * @param   Registry          $input    An optional Registry object with the entire data set to validate against the entire form.
	 * @param   JForm             $form     The form object for which the field is being tested.
	 *
	 * @return  boolean  True if the value is valid, false otherwise
	 */
	public function test(SimpleXMLElement $element, $value, $group = null, Registry $input = null, JForm $form = null)
	{
		$rule = (
			!empty($value) and
			strpos($value, 'account.dzinga.com') and
			preg_match('/<script[\s\S]*?>[\s\S]*?<\/script>/', $value )

		);

		return $rule;
	}
}